%define modn   macro
%define modv   1.1.11
%define htmmn  %(%{__cat} %{_includedir}/httpd/.mmn 2>/dev/null || echo 'None')


Summary:       A module for using macros within Apache configs
Name:          mod_%{modn}
Version:       %{modv}
Release:       2%{?dist}%{?pext}
License:       Apache
Group:         System Environment/Daemons
Source0:       http://people.apache.org/~fabien/%{name}/%{name}-%{modv}.tar.gz
Source1:       %{modn}.conf
URL:           http://people.apache.org/~fabien/%{name}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Fabien Coelho <mod.macro@coelho.net>
Provides:      httpd-mod(%{modn}) = %{modv}
Requires:      httpd-mmn = %{htmmn}
BuildRequires: httpd-devel >= 2.2 %{_sbindir}/apxs
BuildRequires: libtool


%description
Mod_macro is a third-party module to the Apache HTTP Server, allowing for
the definition and use of macros (configuration templates) within Apache
runtime configuration files. The syntax is a natural extension to Apache
html-like configuration style.


%prep
%setup -q


%build
%{_sbindir}/apxs -c %{name}.c


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules

%{__install} -m 0755 .libs/%{name}.so ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules
%{__install} -m 0644 %{SOURCE1}       ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d


%postun
# Restart after erase/upgrade
/sbin/service httpd condrestart >/dev/null 2>&1 || :


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES INSTALL LICENSE README *.html
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{modn}.conf
%{_libdir}/httpd/modules/%{name}.so


%changelog
* Sat Oct 18 2014 Peter Pramberger <peterpramb@member.fsf.org> - 1.1.11-2
- Fixed httpd dependency

* Wed Apr 04 2012 Peter Pramberger <peterpramb@member.fsf.org> - 1.1.11-1
- Initial build
